package com.emato.cuspay.base.merch.impl;





import com.emato.cuspay.base.merch.MerchPaymentService;
import com.emato.cuspay.common.contant.TablePrimaryKeyPrefix;
import com.emato.cuspay.common.core.db.IdWorkerAide;
import com.emato.cuspay.dao.mapper.merch.MerchPayCfgMapper;
import com.emato.cuspay.dto.merch.MerchPayCfg;
import com.emato.cuspay.support.msg.resp.ResponseMessage;
import com.emato.cuspay.support.msg.resp.ResponseStatus;
import com.emato.cuspay.wx.service.impl.WxCbPayDocServiceImpl;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/**
 * @author zx
 * @version 1.0
 * 2018-05-17 13:35
 */

@Service
public class MerchPaymentServiceImpl implements MerchPaymentService {
    private static final Logger logger = LoggerFactory.getLogger(MerchPaymentServiceImpl.class);

    @Autowired
    private MerchPayCfgMapper merchPayCfgMapper;

    public ResponseMessage addMerchPayCfg(MerchPayCfg merchPayCfg) {
        merchPayCfg.setPayCfgSn(TablePrimaryKeyPrefix.merch_pay_cfg_type + IdWorkerAide.nextId());

        try {
            MerchPayCfg payCfg = new MerchPayCfg();
            payCfg.setMerchSn(merchPayCfg.getMerchSn());
            payCfg.setPayChnlFlag(merchPayCfg.getPayChnlFlag());
            if(merchPayCfgMapper.getMerchPayCfgByMerchsnAndChnlFlag(payCfg) != null){
                return  new ResponseMessage.Builder().setCode(ResponseStatus.ERROR.getItem()).setMsg("商户编号为"+merchPayCfg.getMerchSn()+"的支付配置信息已存在")
                        .build();
            }
        } catch (Exception e) {
            logger.error("根据商户编号和查询支付通道标识查询商户支付配置信息异常", e);
        }


        try {
            int result = merchPayCfgMapper.insertSelective(merchPayCfg);
            if (result > 0) {
                return ResponseMessage.builder(ResponseStatus.SUCCESS.getItem(), "添加成功").build();
            }
        } catch (Exception e) {
            logger.error("添加商户支付配置信息异常", e);
        }
        return ResponseMessage.builder(ResponseStatus.ERROR.getItem(), "添加失败").build();
    }

    public List<MerchPayCfg> loadMerchPayCfg() {
        return merchPayCfgMapper.selectMerchPayCfg();
    }

}
