package com.emato.cuspay.web.controller.merch;

import com.emato.cuspay.dto.merch.MerchPayCfg;
import com.emato.cuspay.base.merch.MerchPaymentService;
import com.emato.cuspay.support.msg.resp.ResponseMessage;
import com.emato.cuspay.support.msg.resp.ResponseStatus;
import com.emato.cuspay.util.MapBeanUtils;
import com.emato.cuspay.util.Validator;
import com.google.common.collect.Maps;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 新增商户支付配置
 * @author zx
 * @version 1.0
 * 2018-05-17 11:58
 */

@RestController
@RequestMapping("/merch")
public class MerchPaymentController {

    @Autowired
    private MerchPaymentService merchPaymentService;

    /**
     * 新增商户支付配置
     * @param merchPayCfg
     * @return
     */
    @RequestMapping(value = "add", method = RequestMethod.POST)
    public ResponseMessage add(MerchPayCfg merchPayCfg) {
        //校验数据
        Map<String, Object> validate = MapBeanUtils.fromObject(merchPayCfg);
        Map<String, Object> beVerified = Maps.newHashMap();

        beVerified.put("merchSn", "商户编号");
        beVerified.put("merchWxApiKey","api密钥");
        beVerified.put("notifyUrl","商户通知回调接口");
        beVerified.put("payChnlFlag", "支付通道标识（weixin:微信,alipay:蚂蚁金服）");

        ResponseMessage rst = Validator.isEmpty(beVerified, validate);
        if (ResponseStatus.ERROR.getItem().equals(rst.getCode())) {
            return  rst;
        }

        return merchPaymentService.addMerchPayCfg(merchPayCfg);
    }
}
