package com.emato.cuspay.wx.common;

/**
 * @author zx
 * @version 1.0
 * 2018-05-15 13:56
 */
public abstract class WxDict {

    /**
     * 微信支付单证状态
     */
    public enum PaymentDocStatus {
        i_00("00","待申报"),
        i_01("01", "申报中"),
        i_03("03", "申报失败"),
        i_10("10", "等待处理"),
        i_11("11","业务成功"),
        i_12("12", "业务处理失败");



        private String item;
        private String itemName;

        PaymentDocStatus(String item, String itemName){
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum  ResponseMsgState{
        UNDECLARED("UNDECLARED", "未申报"),
        SUBMITTED("SUBMITTED","申报已提交"),
        PROCESSING("PROCESSING","申报中"),
        SUCCESS("SUCCESS","申报成功"),
        FAIL("FAIL","申报失败"),
        EXCEPT("EXCEPT","海关接口异常");

        private String item;
        private String itemName;

        ResponseMsgState(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum Whether {
        Yes("Y", "是"),
        No("N","否");

        private String item;
        private String itemName;

        Whether(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum BuyerPayerCheckStatus {
        i_0("0", "未知"),
        i_1("1", "一致"),
        i_2("2", "不一致");

        private String item;
        private String itemName;

        BuyerPayerCheckStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 是否停止通知
     */
    public enum IsStopStatus {
        i_0("0", "否"),
        i_1("1", "是");

        private String item;
        private String itemName;

        IsStopStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    /**
     * 通知状态
     */
    public enum NoticeStatus {
        i_0("0", "初始"),
        i_1("1", "通知已发送"),
        i_2("2", "通知发送成功"),
        i_3("3", "通知发送失败");

        private String item;
        private String itemName;

        NoticeStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }

    public enum MerchNoticeStatus {
        i_10("10", "等待海关处理"),
        i_11("11", "海关申报中"),
        i_12("12", "海关申报失败"),
        i_13("13", "海关申报成功");

        private String item;
        private String itemName;

        MerchNoticeStatus(String item, String itemName) {
            this.item = item;
            this.itemName = itemName;
        }

        public String getItem() {
            return item;
        }

        public void setItem(String item) {
            this.item = item;
        }

        public String getItemName() {
            return itemName;
        }

        public void setItemName(String itemName) {
            this.itemName = itemName;
        }
    }
}
